uniform sampler2D tex;

varying highp vec4 fColor;
varying highp vec2 fTexCoord;

void main()
{
    highp vec4 color = texture2D(tex, fTexCoord)*fColor;
    //highp float rgb = color.x*0.299 + color.y*0.587 + color.z*0.114;
    
    highp float rgb = dot(color, vec4(0.299, 0.587, 0.114, 0.0));
    gl_FragColor = vec4(rgb, rgb, rgb, color.w);
}

