precision highp float;

uniform mat4 ModelViewProjectionMatrix;

uniform vec4 tex_texelSize;

attribute vec2 vPosition;
attribute vec4 vColor;
attribute vec2 vTexCoord;

varying vec4 fColor;
varying vec3 fTexCoord;

void main(void)
{
    gl_Position = ModelViewProjectionMatrix * vec4(vPosition, 0.0, 1.0);
    
    fColor = vColor;
    fTexCoord = vec3(vTexCoord, (vTexCoord.y - 0.5) / (0.2 - 0.5));
}
