precision highp float;

uniform sampler2D tex;
uniform vec4 outlineColor;

varying highp vec4 fColor;
varying highp vec2 fTexCoord;

void main()
{
    vec4 texColor = texture2D(tex, fTexCoord);
    float a = texColor.a; //float(texColor.a > 0.0);
    gl_FragColor = vec4(1.0,1.0,1.0,a) * outlineColor;
}
