
uniform mat4 ModelViewProjectionMatrix;

attribute vec2 vPosition;
attribute vec4 vColor;
attribute vec2 vTexCoord;

varying highp vec4 fColor;
varying highp vec2 fTexCoord;

void main(void)
{
    gl_Position = ModelViewProjectionMatrix * vec4(vPosition, 0.0, 1.0);
    fColor = vColor;
    fTexCoord = vTexCoord;
}
