
uniform sampler2D tex;

varying highp vec4 fColor;
varying highp vec2 fTexCoord;

void main()
{
    highp vec4 color = texture2D(tex, fTexCoord)*fColor;
    color = color * vec4(1.25, 1.25, 1.25, 1.0);
    color = color - vec4(0.25, 0.25, 0.25, 0.0);
    gl_FragColor = color;
}

