precision mediump float;

uniform mat4 ModelViewProjectionMatrix;
uniform vec4 Color;

attribute vec2 vPosition;

varying vec4 fColor;

void main(void)
{
    gl_Position = ModelViewProjectionMatrix * vec4(vPosition, 0.0, 1.0);
    fColor = Color;
}