precision mediump float;

uniform mat4 ModelViewProjectionMatrix;

attribute vec2 vPosition;
attribute vec2 vTexCoord;
attribute vec4 vColor;

varying vec2 fTexCoord;
varying vec4 fColor;

void main(void)
{
    gl_Position = ModelViewProjectionMatrix * vec4(vPosition, 0.0, 1.0);
    fTexCoord = vTexCoord;
    fColor = vColor;
}