
uniform sampler2D tex;

varying highp vec4 fColor;
varying highp vec2 fTexCoord;

void main()
{
    highp vec4 texColor = texture2D(tex, fTexCoord);
    texColor = texColor * fColor * 2.0;
    gl_FragColor = texColor;
}

