precision highp float;

uniform sampler2D tex;
uniform vec4 tex_texelSize;

uniform vec4  outlineColor;
uniform float outlineWidth;

varying highp vec4 fColor;
varying highp vec2 fTexCoord;

void main()
{
    vec4 pixel = texture2D(tex, fTexCoord);
    float a = pixel.a;
    pixel.a = 1.0;
    //pixel *= max(0.0, 4.0*a*(1.0-a));

    gl_FragColor = pixel;
}
