uniform sampler2D tex;

varying highp vec4 fColor;
varying highp vec2 fTexCoord;

void main()
{
    highp vec4 color = texture2D(tex, fTexCoord)*fColor;
    highp float t = dot(color, vec4(0.299, 0.587, 0.114, 0.0));
    highp float a = color.w;
    //t = max(t, 3.2*a*(1.0-a)); //outline
    color =
        vec4(0.2, 0.12, 0.11, a)*(1.0-t) +
        vec4(1.0, 0.88, 0.72, a)*t;
    
    gl_FragColor = color;

}

